package cn.com.ctop.crawler.modules.appium.service;

import cn.com.ctop.crawler.modules.appium.entity.AppiumDevice;
import cn.com.ctop.crawler.modules.appium.entity.AppiumJob;
import cn.com.ctop.crawler.modules.appium.entity.AppiumTaskLog;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 爬虫调度任务
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-11-14
 */
public interface IAppiumJobService extends IService<AppiumJob> {

    String loginTask(Long taskId, AppiumDevice device);

    boolean bindCreative(String account, String password, String creativeName, String ksId);

    boolean refreshWebPhone();

    void updateStatus(AppiumDevice appiumDevice, AppiumTaskLog log, Integer logStatus, Integer deviceStatus);
}
